[PATCH nft 2/2] tests: shell: restore element expiration

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This patch adds a test for 24f33c710e8c ("src: enable set expiration
date for set elements").

This is also implicitly testing for a cache corruption bug that is fixed
by 9b032cd6477b ("monitor: fix double cache update with --echo").

Signed-off-by: Pablo Neira Ayuso <pablo@xxxxxxxxxxxxx>
---
 tests/shell/testcases/sets/0036add_set_element_expiration_0 | 13 +++++++++++++
 1 file changed, 13 insertions(+)
 create mode 100755 tests/shell/testcases/sets/0036add_set_element_expiration_0

diff --git a/tests/shell/testcases/sets/0036add_set_element_expiration_0 b/tests/shell/testcases/sets/0036add_set_element_expiration_0
new file mode 100755
index 000000000000..b9b44b0d1c98
--- /dev/null
+++ b/tests/shell/testcases/sets/0036add_set_element_expiration_0
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+NFT=nft
+
+set -e
+
+RULESET="add table ip x
+add set ip x y { type ipv4_addr; flags dynamic,timeout; } 
+add element ip x y { 1.1.1.1 timeout 30s expires 15s }"
+
+test_output=$($NFT -e -f - <<< "$RULESET" 2>&1)
+
+diff_output=$(diff -u <(echo "$test_output") <(echo "$RULESET"))
-- 
2.11.0




[Index of Archives]     [Netfitler Users]     [Berkeley Packet Filter]     [LARTC]     [Bugtraq]     [Yosemite Forum]

  Powered by Linux